document.addEventListener('DOMContentLoaded', () => {
  // Typing animation
  const typed = new Typed('#typed', {
    strings: ['Restaurant de Ramen et Mazemen.\n いらっしゃいませ'],
    typeSpeed: 50,
    startDelay: 1000,
    showCursor: true,
    cursorChar: '_'
  });

  // Add fade-in animations
  const elements = document.querySelectorAll('.hero > *');
  elements.forEach((el, index) => {
    el.style.opacity = '0';
    el.style.transform = 'translateY(20px)';
    setTimeout(() => {
      el.style.transition = 'all 0.8s ease';
      el.style.opacity = '1';
      el.style.transform = 'translateY(0)';
    }, index * 200);
  });
});

// Simple vanilla JS implementation of Typed.js functionality
class Typed {
  constructor(element, options) {
    this.element = document.querySelector(element);
    this.strings = options.strings;
    this.typeSpeed = options.typeSpeed || 50;
    this.startDelay = options.startDelay || 0;
    this.cursorChar = options.cursorChar || '|';
    
    setTimeout(() => this.init(), this.startDelay);
  }

  init() {
    this.current = '';
    this.currentString = this.strings[0];
    this.element.innerHTML = '';
    this.cursor = document.createElement('span');
    this.cursor.innerHTML = this.cursorChar;
    this.element.parentNode.appendChild(this.cursor);
    this.type();
  }

  type() {
    if (this.current.length < this.currentString.length) {
      this.current += this.currentString.charAt(this.current.length);
      this.element.innerHTML = this.current;
      setTimeout(() => this.type(), this.typeSpeed);
    }
  }
}
